Since installing BirdieSync 2.3.5.1 all AddOn are disabled

If BirdieSync 2.x constantly replaces your girlfriend's photo with your mother's one, this forum is for you...
Post Reply
knut
Posts: 2
Joined: Wed Aug 31, 2011 6:13 am

Since installing BirdieSync 2.3.5.1 all AddOn are disabled

Post by knut » Wed Aug 31, 2011 6:36 am

Hello to all,

I'm new in here and I've got a problem with Birdiesync 2.3.5.1.

Yesterday after installing the new version of BirdieSync all but Lightning 1.0b5, Quicktext 0.9.11.1, Signature Switch 1.6.8 and Birdiesync 2.3.5.1 addons in Thunderbird 6.0 are disabled. So I have to delete the disabled addons and reinstall them. But today, after a new start of thunderbird this happend again.
I'm using Thunderbird 6.0 in german, Windows 7 Pro in german
The following addons are diesabled:
British Englisch Dictionary 1.19.1
CompactHeader 1.4.0
ConfigDate 0.7.4
Deutsches Wörterbuch 2.0.2 (German Dictionary)
Dictionary Switcher 1.1.5
Extra Folder Columns 1.1.3
Google Contacts 0.6.36
LookOut 1.2.12
MagicSLR 3.5
No Message Pane Sorting by Mouse 1.2
Provider for Google Kalender 0.8
United States Englisch Spellchecker 5.0.1

With the version 2.3.5.0 of birdiesync everthing was ok. And the new version of BirdieSync was the only addon I've installed

So what went wrong?

Thanks for a quick answer in advance.

Knut

Birdy
Site Admin
Posts: 3022
Joined: Tue Apr 18, 2006 11:43 am
Contact:

Re: Since installing BirdieSync 2.3.5.1 all AddOn are disabl

Post by Birdy » Wed Aug 31, 2011 7:58 am

Hello Knut,

Because of a bug in Thunderbird, sometimes Thunderbird didn't properly detect that BirdieSync extension had been updated and was now compatible with the new version of Thunderbird. So it was necessary in 2.3.5.1 to force Thunderbird to update BirdieSync extension information. Now it could impact other extensions as well.

I checked 3 add-ons: CompactHeader, Lookout and Google Contacts for instance. When you look at the .xpi files, these extensions are marked compatible with Thunderbird 5.0 and not 6.0. So it should be normal to have them disabled since they are not said to be compatible with Thunderbird 6.0. If they are, they should have their .xpi file updated to be said compatible with Thunderbird 6.0. That's a first problem.
The second one is that when you install these extensions from a downloaded xpi file, Thunderbird should not enable these extensions since they are not supposed to be compatible with the last version of Thunderbird. But for a reason I don't know, Thunderbird enables these extensions.
Birdy

knut
Posts: 2
Joined: Wed Aug 31, 2011 6:13 am

Re: Since installing BirdieSync 2.3.5.1 all AddOn are disabl

Post by knut » Wed Aug 31, 2011 8:34 am

Thanks for your quick answer.
Meanwhile Thunderbird updated to version 6.0.1 and now it seem that this problem isn't available.
Birdy wrote: ...
I checked 3 add-ons: CompactHeader, Lookout and Google Contacts for instance. When you look at the .xpi files, these extensions are marked compatible with Thunderbird 5.0 and not 6.0. So it should be normal to have them disabled since they are not said to be compatible with Thunderbird 6.0. If they are, they should have their .xpi file updated to be said compatible with Thunderbird 6.0. That's a first problem.
I haven't looked inside these .xpi files but on the Mozilla Addon site these are marked as compatible with 6.0 or higher.
Birdy wrote: The second one is that when you install these extensions from a downloaded xpi file, Thunderbird should not enable these extensions since they are not supposed to be compatible with the last version of Thunderbird. But for a reason I don't know, Thunderbird enables these extensions.
I have installed these addon via the addon manager under Thunderbird 5.0 and then there was the update to 6.0.


Knut

Post Reply

Who is online

Users browsing this forum: No registered users and 5 guests